﻿using Xamarin.Essentials;

namespace DroidFix.ViewModels
{
    public class ConnectivityViewModel
    {
        public bool IsConnectionAvailable;

        public bool IsConnected()
        {
            IsConnectionAvailable = true;

            Connectivity.ConnectivityChanged += (sender, args) =>
            {
                var access = args.NetworkAccess;
                if (access == NetworkAccess.Internet)
                {
                    IsConnectionAvailable = true;
                }
                else
                {
                    IsConnectionAvailable = false;
                }
            };
            return IsConnectionAvailable;
        }
    }
}