﻿using System;
using System.Threading.Tasks;
using System.Windows.Input;
using DroidFix.Interfaces;
using DroidFix.Views;
using Xamarin.Forms;


namespace DroidFix.ViewModels
{
	public class MenuViewModel 
    {
        #region command handlers 

        public ICommand PhoneCommand { get; set; }
        public ICommand TOSCommand { get; set; }
        public ICommand PrivacyCommand { get; set; }

        public MenuViewModel()
        {

            PhoneCommand = new Command(GoPhone);
            TOSCommand = new Command(GoTOS);
            PrivacyCommand = new Command(GoPrivacy);

        }
        void GoTOS(object obj)
        {
            var url = "https://www.google.com";
            Device.OpenUri(new Uri(url));
            App.MenuIsPresented = false;
        }
        void GoPrivacy(object obj)
        {
            var url = "https://www.google.com";
            Device.OpenUri(new Uri(url));
            App.MenuIsPresented = false;
        }
        void GoPhone(object obj)
        {
            Device.OpenUri(new Uri(String.Format("tel:{0}", "844-444-1234")));
        }

        /*
#if __ANDROID__ || __IOS__
          ToolbarItems.Add(new ToolbarItem("search", "search.png", () =>

#elif WINDOWS_PHONE

          ToolbarItems.Add(new ToolbarItem("search", "search.png", () =>
            {
            }));
#endif


        */



        #endregion
    }
}